diff --git a/contrib/regression/ChangeLog b/contrib/regression/ChangeLog
index 2b4939b5b00e0b56975f0e4c39e54584fd764b18..43830f80488c5833481b4b41e0e6995de8d6e575 100644
--- a/contrib/regression/ChangeLog
+++ b/contrib/regression/ChangeLog
@@ -1,3 +1,7 @@
+2009-09-02  Geoff Keating  <geoffk@apple.com>
+
+	* btest-gcc.sh: Continue after bootstrap comparison failure.
+
 2008-11-27  Geoff Keating  <geoffk@geoffk.org>
 
 	* mkindex.pl: New.
diff --git a/contrib/regression/btest-gcc.sh b/contrib/regression/btest-gcc.sh
index 66e8240fad676be69c26547e76254cf92c9c7275..28985760d2b785218b04eaf04d3bc4775fb8328c 100755
--- a/contrib/regression/btest-gcc.sh
+++ b/contrib/regression/btest-gcc.sh
@@ -127,6 +127,7 @@ if [ $H_HOST = $H_TARGET ] ; then
   if ! make $dashj bootstrap ; then
     [ -s .bad_compare ] || exit 1
     cat .bad_compare >> $REGRESS || exit 1
+    touch compare || exit 1   # Prevent the comparison from running again
     make $dashj all || exit 1
   fi
 else